OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.ARB.TextureCompression

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_texture_compression extension, see http://www.opengl.org/registry/specs/ARB/texture_compression.txt.

Synopsis

- glCompressedTexImage3D :: GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> IO ()
- glCompressedTexImage2D :: GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> IO ()
- glCompressedTexImage1D :: GLenum -> GLint -> GLenum -> GLsizei -> GLint -> GLsizei -> Ptr a -> IO ()
- glCompressedTexSubImage3D :: GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> IO ()
- glCompressedTexSubImage2D :: GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> IO ()
- glCompressedTexSubImage1D :: GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLsizei -> Ptr a -> IO ()
- glGetCompressedTexImage :: GLenum -> GLint -> Ptr a -> IO ()
- gl_COMPRESSED_ALPHA :: GLenum
- gl_COMPRESSED_LUMINANCE :: GLenum
- gl_COMPRESSED_LUMINANCE_ALPHA :: GLenum
- gl_COMPRESSED_INTENSITY :: GLenum
- gl_COMPRESSED_RGB :: GLenum
- gl_COMPRESSED_RGBA :: GLenum
- gl_TEXTURE_COMPRESSION_HINT :: GLenum
- gl_TEXTURE_COMPRESSED_IMAGE_SIZE :: GLenum
- gl_TEXTURE_COMPRESSED :: GLenum
- gl_NUM_COMPRESSED_TEXTURE_FORMATS :: GLenum
- gl_COMPRESSED_TEXTURE_FORMATS :: GLenum

# Functions

glCompressedTexImage3D :: GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> IO ()Source

glCompressedTexImage2D :: GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> IO ()Source

glCompressedTexImage1D :: GLenum -> GLint -> GLenum -> GLsizei -> GLint -> GLsizei -> Ptr a -> IO ()Source

glCompressedTexSubImage3D :: GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> IO ()Source

glCompressedTexSubImage2D :: GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> IO ()Source

glCompressedTexSubImage1D :: GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLsizei -> Ptr a -> IO ()Source

glGetCompressedTexImage :: GLenum -> GLint -> Ptr a -> IO ()Source

# Tokens

gl_COMPRESSED_ALPHA :: GLenum Source

gl_COMPRESSED_LUMINANCE :: GLenum Source

gl_COMPRESSED_LUMINANCE_ALPHA :: GLenum Source

gl_COMPRESSED_INTENSITY :: GLenum Source

gl_COMPRESSED_RGB :: GLenum Source

gl_COMPRESSED_RGBA :: GLenum Source

gl_TEXTURE_COMPRESSION_HINT :: GLenum Source

gl_TEXTURE_COMPRESSED_IMAGE_SIZE :: GLenum Source

gl_TEXTURE_COMPRESSED :: GLenum Source

gl_NUM_COMPRESSED_TEXTURE_FORMATS :: GLenum Source

gl_COMPRESSED_TEXTURE_FORMATS :: GLenum Source